Subject: Re: bug#17284: Host name completion in shell mode take 45 seconds

From: martin rudalics <[email-masked]>
Date: Sat, 04 Apr 2015 18:00:07 +0200

> `buffer-substring-no-properties' is defined in C.  I can't tell
 > whether this is more efficient because of that or less efficient
 > because it creates a potentially giant string before starting to
 > compare.  I was trying to compare starting from the far end,
 > thinking that that might lead to earlier failure detection.

I got your idea.  But you also said that what we are handling here is
"typically a short string" ;-)

martin